:root {
  --main-anim-dur: 3s;
  --primary-clr: hsl(0, 0%, 5%);
  --comp-clr: #f5f5f7;
  --accent-clr: hsl(0, 0%, 19%);
}

* {
  position: relative;
  user-select: none;
  color: var(--comp-clr);
  font-family:  'Noto Sans', 'Roboto', 'Titillium Web', 'Open Sans', sans-serif;
}

html {
  height: 100%;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  background-color: var(--primary-clr);
}

/* width */
::-webkit-scrollbar {
  width: 15px;
}

/* Track */
::-webkit-scrollbar-track {
  background: var(--primary-clr);
}

.header {
  width: 100vw;
  height: 20vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: var(--primary-clr);
}

.logo {
  font-family: 'Righteous';
}

a.logo {
  position: relative;
  display: flex;
  justify-content: left;
  width: auto;
  font-size: 4em;
  text-decoration: none;
  color: var(--comp-clr);
  z-index: 10;
}

.inner-text-logo {
  font-size: 1.2em;
}

section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20vh 5vw 10vh 5vw;
}

h1 {
  font-size: 2.5em;
  padding: 0;
  margin: 40px 0;
  animation: slideUp 0.9s ease backwards;
  animation-delay: 0.1s;
  text-align: center;
}

h2 {
  padding: 0;
  margin: 80px 0 40px 0;
  animation: slideUp 0.9s ease backwards;
  animation-delay: 0.1s;
}

p, ul {
  padding: 0;
  margin: 10px 0;
  max-width: 700px;
  text-align: justify;
  line-height: 2;
  animation: slideUp 0.9s ease backwards;
  animation-delay: 0.2s;

}

.contact-p {
  margin-top: 13vh;
  font-size: 1.4em;
  text-align: center;
  animation: slideUp 0.9s ease backwards;
  animation-delay: 0.3s;
}

@keyframes slideUp {
  from {position: relative;
        top: 25px;
        opacity: 0;}
  to {position: relative;
      top: 0px;
      opacity: 1;}
}

@media screen and (max-width: 500px) {

  h1 {
    margin: 80px 0;
    font-size: 2.1em;
  }

  .inner-text-logo {
    display: none;
  }

  section {
    padding: 0vh 5vw 10vh 5vw;
  }

  p {
    text-align: justify;
  }

}